Bug 224239 - [WebXR] Introduce XRDeviceIdentifier and XRDeviceInfo to be used to communicate device info
Summary: [WebXR] Introduce XRDeviceIdentifier and XRDeviceInfo to be used to communica...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ada Chan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-04-06 10:06 PDT by Ada Chan
Modified: 2021-04-08 13:35 PDT (History)
5 users (show)

See Also:


Attachments
Patch (16.88 KB, patch)
2021-04-06 10:27 PDT, Ada Chan
no flags Details | Formatted Diff | Diff
Patch (16.53 KB, patch)
2021-04-06 11:46 PDT, Ada Chan
no flags Details | Formatted Diff | Diff
Patch (14.79 KB, patch)
2021-04-07 14:52 PDT, Ada Chan
no flags Details | Formatted Diff | Diff
Unreviewed build fix (2.67 KB, patch)
2021-04-08 10:50 PDT, Wenson Hsieh
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ada Chan 2021-04-06 10:06:17 PDT
[WebXR] Introduce XRDeviceIdentifier and XRDeviceInfo to be used to communicate device info
Comment 1 Ada Chan 2021-04-06 10:27:59 PDT
Created attachment 425298 [details]
Patch
Comment 2 Tim Horton 2021-04-06 10:54:23 PDT
Comment on attachment 425298 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=425298&action=review

> Source/WebKit/Shared/Cocoa/XRDeviceInfo.mm:41
> +    encoder << static_cast<uint64_t>(features.size());
> +    for (auto feature : features)
> +        encoder << feature;

Odd, WebKit2's ArgumentCoders.h totally has a VectorArgumentCoder. Do you need this custom implementation?
Comment 3 Ada Chan 2021-04-06 11:42:34 PDT
(In reply to Tim Horton from comment #2)
> Comment on attachment 425298 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=425298&action=review
> 
> > Source/WebKit/Shared/Cocoa/XRDeviceInfo.mm:41
> > +    encoder << static_cast<uint64_t>(features.size());
> > +    for (auto feature : features)
> > +        encoder << feature;
> 
> Odd, WebKit2's ArgumentCoders.h totally has a VectorArgumentCoder. Do you
> need this custom implementation?

Ah, I did not realize that. I'll update the patch.
Comment 4 Ada Chan 2021-04-06 11:46:02 PDT
Created attachment 425306 [details]
Patch
Comment 5 EWS 2021-04-07 14:08:33 PDT
Tools/Scripts/svn-apply failed to apply attachment 425306 [details] to trunk.
Please resolve the conflicts and upload a new patch.
Comment 6 EWS 2021-04-07 14:12:43 PDT
Tools/Scripts/svn-apply failed to apply attachment 425306 [details] to trunk.
Please resolve the conflicts and upload a new patch.
Comment 7 Ada Chan 2021-04-07 14:52:40 PDT
Created attachment 425443 [details]
Patch
Comment 8 EWS 2021-04-07 15:55:59 PDT
Committed r275640: <https://commits.webkit.org/r275640>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 425443 [details].
Comment 9 Radar WebKit Bug Importer 2021-04-07 15:56:17 PDT
<rdar://problem/76369842>
Comment 10 Wenson Hsieh 2021-04-08 10:50:10 PDT
Reopening to attach new patch.
Comment 11 Wenson Hsieh 2021-04-08 10:50:12 PDT
Created attachment 425520 [details]
Unreviewed build fix
Comment 12 Ada Chan 2021-04-08 10:51:00 PDT
(In reply to Wenson Hsieh from comment #11)
> Created attachment 425520 [details]
> Unreviewed build fix

Thanks Wenson!
Comment 13 EWS 2021-04-08 11:21:26 PDT
Committed r275663 (236299@main): <https://commits.webkit.org/236299@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 425520 [details].